import http from '@/utils/request'

// 售票统计
export const getSaleStatistics = (params) => {
  return http.post('/tenant/statistics/orderSaleStatistics', { data: params })
}
// 导出售票统计
export function exportSaleStatistics (params) {
  return http.post('/tenant/statistics/exportSaleStatistics', { data: params })
}
// 检票报表（统计）
export const getCheckStatistics = (params) => {
  return http.post('/tenant/statistics/getCheckStatistics', { data: params })
}
// 核销报表（统计）
export const getCheckAndPrintStatistics = (params) => {
  return http.post('/tenant/statistics/orderCheckStatistics', { data: params })
}
// 获取检票明细
export function getCheckList (params) {
  return http.post('/tenant/statistics/getCheckList', { data: params })
}

// 获取报表导出
export const getExportMissionList = (params) => {
  return http.post('/tenant/reportMission', { data: params })
}

// 获取报表导出
export const exportCheckStatistics = (params) => {
  return http.post('/tenant/statistics/exportCheckStatistics', { data: params })
}
// 删除导出任务
export const deleteExportMission = (id) => {
  const params = {
    idList: [id]
  }
  return http.post('/tenant/reportMission/delete', { data: params })
}

// 检票员检票
export const getCheckerCheckList = (params) => {
  return http.post('/tenant/statistics/getCheckerCheckList', { data: params })
}

// 获取游客信息
export const getTouristList = (params) => {
  return http.post('/tenant/statistics/getTouristList', { data: params })
}

// 获取核销报表导出
export const exportCheckAndPrintStatistics = (params) => {
  return http.post('/tenant/statistics/exportCheckAndPrintStatistics', { data: params })
}

// 核销查询
export const getCheckAndPrintList = (params) => {
  return http.post('/tenant/statistics/getCheckAndPrintList', { data: params })
}
